Subject: new sam for unix

From: Scott Schwartz <[email-masked]>
Date: Thu, 25 May 2000 15:37:07 -0400

Hi all,
  Rob Pike was kind enough to send me the source for the new
sam, and I've gone through and made the changes necessary to get
it to compile under unix.  I found one bug in the process, so 
I hope everyone else will look things over carefully too.

The changes: 
- replaced anonymous unions with ansi-std ones.
- used a plan9-flavor print library instead of stdio (mostly).
- the sam err file in tmp is now given a unique name, to
   avoid symlink races.  mktemp used where necessary.
- all plumbing is stubbed out.  maybe we can revisit this after the
   next edition of plan 9 is published.

This version appears to work with samterm, but it does exercise what I
think is a problem with the X11 version of that.  If I create a large
file, all lines the same length, and make a global substitution, and
then repeatedly undo and redo, samterm appears to miss some
characters.